package com.ssyf.common.core.enums;

/**
 * 状态删除枚举
 * @author huwei
 * @date 2022/11/14 12:58
 */
public enum StatusDeleteMarkEnum {
    /**
     * 已被删除
     */
    delete(1)
    /**
     * 未删除
     */
    ,exist(0);

    private int value;

    StatusDeleteMarkEnum(int value){
        this.value = value;
    }

    public int getValue(){
        return this.value;
    }

    public static boolean isDelete(int value){
        return StatusDeleteMarkEnum.delete.getValue() == value;
    }

    public static boolean isExist(int value){
        return StatusDeleteMarkEnum.exist.getValue() == value;
    }

}
